List the compliance frameworks
import requests
url = "https://platform.ankra.app/org/security/compliance/frameworks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/compliance/frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/compliance/frameworks \
--header 'Authorization: Bearer <token>'{
"frameworks": [
{
"key": "<string>",
"title": "<string>",
"short_title": "<string>",
"version": "<string>",
"description": "<string>",
"control_count": 123,
"automated_control_count": 123,
"enabled": true,
"enabled_at": "2023-11-07T05:31:56Z",
"score": 123,
"satisfied_controls": 123,
"at_risk_controls": 123,
"failing_controls": 123,
"manual_controls": 123
}
],
"generated_at": "2023-11-07T05:31:56Z"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List the compliance frameworks
GET
/
org
/
security
/
compliance
/
frameworks
List the compliance frameworks
import requests
url = "https://platform.ankra.app/org/security/compliance/frameworks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/compliance/frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/compliance/frameworks \
--header 'Authorization: Bearer <token>'{
"frameworks": [
{
"key": "<string>",
"title": "<string>",
"short_title": "<string>",
"version": "<string>",
"description": "<string>",
"control_count": 123,
"automated_control_count": 123,
"enabled": true,
"enabled_at": "2023-11-07T05:31:56Z",
"score": 123,
"satisfied_controls": 123,
"at_risk_controls": 123,
"failing_controls": 123,
"manual_controls": 123
}
],
"generated_at": "2023-11-07T05:31:56Z"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.